<template>
    <div class="poke-card" @click="readPokemon">
        <img :src="sprite" alt="poke_pic">
        <div class="poke-name">{{ name }}</div>
    </div>
</template>

<script>
export default {
    props: ["id", "sprite", "name"],
    methods: {
        readPokemon() {
            return this.$router.push({ name: 'pokemon', params: { id: this.id } })
        }
    }
}
</script>

<style scoped>
    .poke-card {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        width: 100px;
        background-color: #521945;
        margin-top: 15px;
    }

    .poke-card:hover {
        cursor: pointer;
    }

    .poke-name {
        margin-bottom: 15px;
        color: white;
        font-weight: 300;
    }
</style>